#!/usr/bin/env python
"""
Copyright © Huawei Technologies Co., Ltd. 2010-2019. All rights reserved.
description     :   list at mta msg
modify  record  :   2019-05-24 create file
"""

at_mta_msg_enum_table = {
0x0000 : "ID_AT_MTA_CPOS_SET_REQ",
0x0001 : "ID_AT_MTA_CGPSCLOCK_SET_REQ",
0x0003 : "ID_AT_MTA_SIMLOCKUNLOCK_SET_REQ",
0x0004 : "ID_AT_MTA_QRY_NMR_REQ",
0x0005 : "ID_AT_MTA_RESEL_OFFSET_CFG_SET_NTF",
0x0006 : "ID_AT_MTA_WRR_AUTOTEST_QRY_REQ",
0x0007 : "ID_AT_MTA_WRR_CELLINFO_QRY_REQ",
0x0008 : "ID_AT_MTA_WRR_MEANRPT_QRY_REQ",
0x0009 : "ID_AT_MTA_WRR_FREQLOCK_SET_REQ",
0x000A : "ID_AT_MTA_WRR_RRC_VERSION_SET_REQ",
0x000B : "ID_AT_MTA_WRR_CELLSRH_SET_REQ",
0x000C : "ID_AT_MTA_WRR_FREQLOCK_QRY_REQ",
0x000D : "ID_AT_MTA_WRR_RRC_VERSION_QRY_REQ",
0x000E : "ID_AT_MTA_WRR_CELLSRH_QRY_REQ",
0x000F : "ID_AT_MTA_BODY_SAR_SET_REQ",
0x0010 : "ID_AT_MTA_CURC_SET_NOTIFY",
0x0011 : "ID_AT_MTA_CURC_QRY_REQ",
0x0012 : "ID_AT_MTA_UNSOLICITED_RPT_SET_REQ",
0x0013 : "ID_AT_MTA_UNSOLICITED_RPT_QRY_REQ",
0x0014 : "ID_AT_MTA_IMEI_VERIFY_QRY_REQ",
0x0015 : "ID_AT_MTA_CGSN_QRY_REQ",
0x0016 : "ID_AT_MTA_NCELL_MONITOR_SET_REQ",
0x0017 : "ID_AT_MTA_NCELL_MONITOR_QRY_REQ",
0x0018 : "ID_AT_MTA_REFCLKFREQ_SET_REQ",
0x0019 : "ID_AT_MTA_REFCLKFREQ_QRY_REQ",
0x001A : "ID_AT_MTA_HANDLEDECT_SET_REQ",
0x001B : "ID_AT_MTA_HANDLEDECT_QRY_REQ",
0x001C : "ID_AT_MTA_ECID_SET_REQ",
0x001D : "ID_AT_MTA_MIPICLK_QRY_REQ",
0x001E : "ID_AT_MTA_SET_DPDTTEST_FLAG_REQ",
0x001F : "ID_AT_MTA_SET_DPDT_VALUE_REQ",
0x0020 : "ID_AT_MTA_QRY_DPDT_VALUE_REQ",
0x0021 : "ID_AT_MTA_RRC_PROTECT_PS_REQ",
0x0022 : "ID_AT_MTA_PHY_INIT_REQ",
0x0023 : "ID_AT_MTA_SET_JAM_DETECT_REQ",
0x0024 : "ID_AT_MTA_SET_FREQ_LOCK_REQ",
0x0025 : "ID_AT_MTA_SET_GSM_FREQLOCK_REQ",
0x0026 : "ID_AT_MTA_SET_FEMCTRL_REQ",
0x0027 : "ID_AT_MTA_NVWRSECCTRL_SET_REQ",
0x0028 : "ID_AT_MTA_MBMS_SERVICE_OPTION_SET_REQ",
0x0029 : "ID_AT_MTA_MBMS_PREFERENCE_SET_REQ",
0x002A : "ID_AT_MTA_SIB16_NETWORK_TIME_QRY_REQ",
0x002B : "ID_AT_MTA_BSSI_SIGNAL_LEVEL_QRY_REQ",
0x002C : "ID_AT_MTA_NETWORK_INFO_QRY_REQ",
0x002D : "ID_AT_MTA_EMBMS_STATUS_QRY_REQ",
0x002E : "ID_AT_MTA_MBMS_UNSOLICITED_CFG_SET_REQ",
0x002F : "ID_AT_MTA_LTE_LOW_POWER_SET_REQ",
0x0030 : "ID_AT_MTA_INTEREST_LIST_SET_REQ",
0x0031 : "ID_AT_MTA_MBMS_SERVICE_STATE_SET_REQ",
0x0032 : "ID_AT_MTA_MBMS_AVL_SERVICE_LIST_QRY_REQ",
0x0033 : "ID_AT_MTA_LTE_WIFI_COEX_SET_REQ",
0x0034 : "ID_AT_MTA_LTE_WIFI_COEX_QRY_REQ",
0x0035 : "ID_AT_MTA_SET_FR_REQ",
0x0036 : "ID_AT_MTA_MEID_SET_REQ",
0x0037 : "ID_AT_MTA_MEID_QRY_REQ",
0x0038 : "ID_AT_MTA_SET_M2M_FREQLOCK_REQ",
0x0039 : "ID_AT_MTA_QRY_M2M_FREQLOCK_REQ",
0x0044 : "ID_AT_MTA_TRANSMODE_QRY_REQ",
0x0045 : "ID_AT_MTA_UE_CENTER_SET_REQ",
0x0046 : "ID_AT_MTA_UE_CENTER_QRY_REQ",
0x0047 : "ID_AT_MTA_SET_NETMON_SCELL_REQ",
0x0048 : "ID_AT_MTA_SET_NETMON_NCELL_REQ",
0x0049 : "ID_AT_MTA_RFICSSIRD_QRY_REQ",
0x004A : "ID_AT_MTA_ANQUERY_QRY_REQ",
0x004B : "ID_AT_MTA_CSNR_QRY_REQ",
0x004C : "ID_AT_MTA_CSQLVL_QRY_REQ",
0x004d : "ID_AT_MTA_EVDO_SYS_EVENT_SET_REQ",
0x004e : "ID_AT_MTA_EVDO_SIG_MASK_SET_REQ",
0x004F : "ID_AT_MTA_XCPOSR_SET_REQ",
0x0050 : "ID_AT_MTA_XCPOSR_QRY_REQ",
0x0051 : "ID_AT_MTA_XCPOSRRPT_SET_REQ",
0x0052 : "ID_AT_MTA_XCPOSRRPT_QRY_REQ",
0x0053 : "ID_AT_MTA_CLEAR_HISTORY_FREQ_REQ",
0x0054 : "ID_AT_MTA_SET_SENSOR_REQ",
0x0055 : "ID_AT_MTA_SET_SCREEN_REQ",
0x0056 : "ID_AT_MTA_FRAT_IGNITION_QRY_REQ",
0x0057 : "ID_AT_MTA_FRAT_IGNITION_SET_REQ",
0x0058 : "ID_AT_MTA_MODEM_TIME_SET_REQ",
0x0059 : "ID_AT_MTA_RX_TEST_MODE_SET_REQ",
0x005A : "ID_AT_MTA_SLAVE_SET_REQ",
0x005B : "ID_AT_MTA_BESTFREQ_SET_REQ",
0x005C : "ID_AT_MTA_BESTFREQ_QRY_REQ",
0x005D : "ID_AT_MTA_RFIC_DIE_ID_QRY_REQ",
0x005E : "ID_AT_MTA_CRRCONN_SET_REQ",
0x005F : "ID_AT_MTA_CRRCONN_QRY_REQ",
0x0060 : "ID_AT_MTA_VTRLQUALRPT_SET_REQ",
0x0061 : "ID_AT_MTA_PMU_DIE_SN_QRY_REQ",
0x0062 : "ID_AT_MTA_MODEM_CAP_UPDATE_REQ",
0x0063 : "ID_AT_MTA_TAS_CFG_REQ",
0x0064 : "ID_AT_MTA_TAS_QRY_REQ",
0x0065 : "ID_AT_MTA_MIPI_WREX_REQ",
0x0066 : "ID_AT_MTA_MIPI_RDEX_REQ",
0x0067 : "ID_AT_MTA_RS_INFO_QRY_REQ",
0x0068 : "ID_AT_MTA_PHY_COM_CFG_SET_REQ",
0x0069 : "ID_AT_MTA_ERRCCAP_CFG_SET_REQ",
0x006A : "ID_AT_MTA_ERRCCAP_QRY_SET_REQ",
0x006B : "ID_AT_MTA_QRY_GSM_FREQLOCK_REQ",
0x006C : "ID_AT_MTA_DEL_CELLENTITY_REQ",
0x006D : "ID_AT_MTA_PSEUCELL_INFO_SET_REQ",
0x006E : "ID_AT_MTA_POWER_DET_QRY_REQ",
0x006F : "ID_AT_MTA_MIPIREAD_SET_REQ",
0x0070 : "ID_AT_MTA_NO_CARD_MODE_SET_REQ",
0x0071 : "ID_AT_MTA_NO_CARD_MODE_QRY_REQ",
0x0072 : "ID_AT_MTA_CHRALARMRLAT_CFG_SET_REQ",
0x0073 : "ID_AT_MTA_ECC_CFG_SET_REQ",
0x0074 : "ID_AT_MTA_EPDU_SET_REQ",
0x0075 : "ID_AT_MTA_LTE_CA_CELL_RPT_CFG_SET_REQ",
0x0076 : "ID_AT_MTA_LTE_CA_CELL_RPT_CFG_QRY_REQ",
0x0077 : "ID_AT_MTA_LTE_CA_CFG_SET_REQ",
0x0078 : "ID_AT_MTA_LTE_CA_CELLEX_QRY_REQ",
0x0079 : "ID_AT_MTA_FINE_TIME_SET_REQ",
0x0080 : "ID_AT_MTA_GAS_AUTOTEST_QRY_REQ",
0x0081 : "ID_AT_MTA_COMM_BOOSTER_SET_REQ",
0x0082 : "ID_AT_MTA_COMM_BOOSTER_QRY_REQ",
0x0083 : "ID_AT_MTA_NVLOAD_SET_REQ",
0x0084 : "ID_AT_MTA_SMS_DOMAIN_SET_REQ",
0x0085 : "ID_AT_MTA_SMS_DOMAIN_QRY_REQ",
0x0086 : "ID_AT_MTA_EPS_NETWORK_QRY_REQ",
0x0087 : "ID_AT_MTA_SET_SAMPLE_REQ",
0x0088 : "ID_AT_MTA_GPS_LOCSET_SET_REQ",
0x0089 : "ID_AT_MTA_CCLK_QRY_REQ",
0x008A : "ID_AT_MTA_GAME_MODE_SET_REQ",
0x008B : "ID_AT_MTA_PSEUDBTS_SET_REQ",
0x008C : "ID_AT_MTA_SUBCLFSPARAM_SET_REQ",
0x008D : "ID_AT_MTA_SUBCLFSPARAM_QRY_REQ",
0x008E : "ID_AT_MTA_NV_REFRESH_SET_REQ",
0x008F : "ID_AT_MTA_SLT_TEST_SET_REQ",
0x0090 : "ID_AT_MTA_CDMA_MODEM_CAP_SET_REQ",
0x0091 : "ID_AT_MTA_CDMA_CAP_RESUME_SET_REQ",
0x0092 : "ID_AT_MTA_PHYMIPIWRITE_SET_REQ",
0x0093 : "ID_AT_MTA_FORCESYNC_SET_REQ",
0x0094 : "ID_AT_MTA_LENDC_QRY_REQ",
0x0095 : "ID_AT_MTA_NR_FREQLOCK_SET_REQ",
0x0096 : "ID_AT_MTA_NR_FREQLOCK_QRY_REQ",
0x0097 : "ID_AT_MTA_SET_LTEPWRDISS_REQ",
0x0098 : "ID_AT_MTA_GNSS_NTY",
0x0099 : "ID_AT_MTA_SFEATURE_QRY_REQ",
0x009A : "ID_AT_MTA_LOW_PWR_MODE_SET_REQ",
0x009D : "ID_AT_MTA_LL2_COM_CFG_SET_REQ",
0x009E : "ID_AT_MTA_LL2_COM_CFG_QRY_REQ",
0x009F : "ID_AT_MTA_NL2_COM_CFG_SET_REQ",
0x00A0 : "ID_AT_MTA_NL2_COM_CFG_QRY_REQ",
0x00A1 : "ID_AT_MTA_NRRCCAP_CFG_SET_REQ",
0x00A2 : "ID_AT_MTA_NRRCCAP_QRY_REQ",
0x00A3 : "ID_AT_MTA_NRPWRCTRL_SET_REQ",
0x00A4 : "ID_AT_MTA_SARREDUCTION_NTF",
0x00A5 : "ID_AT_MTA_SET_TRX_TAS_REQ",
0x00A6 : "ID_AT_MTA_QRY_TRX_TAS_REQ",
0x00A7 : "ID_AT_MTA_MULTI_PMU_DIE_ID_SET_REQ",
0x00A8 : "ID_AT_MTA_5G_OPTION_CFG_REQ",
0x00A9 : "ID_AT_MTA_5G_OPTION_QRY_REQ",
0x2002 : "ID_AT_MTA_NV_REFRESH_RSP",
0x1000 : "ID_MTA_AT_CPOS_SET_CNF",
0x1001 : "ID_MTA_AT_CGPSCLOCK_SET_CNF",
0x1002 : "ID_MTA_AT_CPOSR_IND",
0x1003 : "ID_MTA_AT_XCPOSRRPT_IND",
0x1004 : "ID_MTA_AT_APSEC_SET_CNF",
0x1005 : "ID_MTA_AT_SIMLOCKUNLOCK_SET_CNF",
0x1006 : "ID_MTA_AT_QRY_NMR_CNF",
0x1007 : "ID_MTA_AT_WRR_AUTOTEST_QRY_CNF",
0x1008 : "ID_MTA_AT_WRR_CELLINFO_QRY_CNF",
0x1009 : "ID_MTA_AT_WRR_MEANRPT_QRY_CNF",
0x100A : "ID_MTA_AT_WRR_FREQLOCK_SET_CNF",
0x100B : "ID_MTA_AT_WRR_RRC_VERSION_SET_CNF",
0x100C : "ID_MTA_AT_WRR_CELLSRH_SET_CNF",
0x100D : "ID_MTA_AT_WRR_FREQLOCK_QRY_CNF",
0x100E : "ID_MTA_AT_WRR_RRC_VERSION_QRY_CNF",
0x100F : "ID_MTA_AT_WRR_CELLSRH_QRY_CNF",
0x1010 : "ID_MTA_AT_BODY_SAR_SET_CNF",
0x1011 : "ID_MTA_AT_CURC_QRY_CNF",
0x1012 : "ID_MTA_AT_UNSOLICITED_RPT_SET_CNF",
0x1013 : "ID_MTA_AT_UNSOLICITED_RPT_QRY_CNF",
0x1014 : "ID_MTA_AT_IMEI_VERIFY_QRY_CNF",
0x1015 : "ID_MTA_AT_CGSN_QRY_CNF",
0x1016 : "ID_MTA_AT_NCELL_MONITOR_SET_CNF",
0x1017 : "ID_MTA_AT_NCELL_MONITOR_QRY_CNF",
0x1018 : "ID_MTA_AT_NCELL_MONITOR_IND",
0x1019 : "ID_MTA_AT_REFCLKFREQ_SET_CNF",
0x101A : "ID_MTA_AT_REFCLKFREQ_QRY_CNF",
0x101B : "ID_MTA_AT_REFCLKFREQ_IND",
0x101C : "ID_MTA_AT_HANDLEDECT_SET_CNF",
0x101D : "ID_MTA_AT_HANDLEDECT_QRY_CNF",
0x101E : "ID_MTA_AT_PS_TRANSFER_IND",
0x101F : "ID_MTA_AT_ECID_SET_CNF",
0x1020 : "ID_MTA_AT_MIPICLK_QRY_CNF",
0x1021 : "ID_MTA_AT_MIPICLK_INFO_IND",
0x1022 : "ID_MTA_AT_SET_DPDTTEST_FLAG_CNF",
0x1023 : "ID_MTA_AT_SET_DPDT_VALUE_CNF",
0x1024 : "ID_MTA_AT_QRY_DPDT_VALUE_CNF",
0x1025 : "ID_MTA_AT_RRC_PROTECT_PS_CNF",
0x1026 : "ID_MTA_AT_PHY_INIT_CNF",
0x1027 : "ID_MTA_AT_SET_JAM_DETECT_CNF",
0x1028 : "ID_MTA_AT_JAM_DETECT_IND",
0x1029 : "ID_MTA_AT_SET_FREQ_LOCK_CNF",
0x102A : "ID_MTA_AT_SET_GSM_FREQLOCK_CNF",
0x102B : "ID_AT_MTA_SET_FEMCTRL_CNF",
0x102C : "ID_MTA_AT_XPASS_INFO_IND",
0x102D : "ID_MTA_AT_NVWRSECCTRL_SET_CNF",
0x102E : "ID_MTA_AT_MBMS_SERVICE_OPTION_SET_CNF",
0x102F : "ID_MTA_AT_MBMS_PREFERENCE_SET_CNF",
0x1030 : "ID_MTA_AT_SIB16_NETWORK_TIME_QRY_CNF",
0x1031 : "ID_MTA_AT_BSSI_SIGNAL_LEVEL_QRY_CNF",
0x1032 : "ID_MTA_AT_NETWORK_INFO_QRY_CNF",
0x1033 : "ID_MTA_AT_EMBMS_STATUS_QRY_CNF",
0x1034 : "ID_MTA_AT_MBMS_UNSOLICITED_CFG_SET_CNF",
0x1035 : "ID_MTA_AT_MBMS_SERVICE_EVENT_IND",
0x1036 : "ID_MTA_AT_LTE_LOW_POWER_SET_CNF",
0x1037 : "ID_MTA_AT_INTEREST_LIST_SET_CNF",
0x1038 : "ID_MTA_AT_MBMS_SERVICE_STATE_SET_CNF",
0x1039 : "ID_MTA_AT_MBMS_AVL_SERVICE_LIST_QRY_CNF",
0x103A : "ID_MTA_AT_LTE_WIFI_COEX_SET_CNF",
0x103B : "ID_MTA_AT_LTE_WIFI_COEX_QRY_CNF",
0x103C : "ID_MTA_AT_SET_FR_CNF",
0x103d : "ID_MTA_AT_MEID_SET_CNF",
0x103e : "ID_MTA_AT_RFICSSIRD_QRY_CNF",
0x103f : "ID_MTA_AT_MEID_QRY_CNF",
0x1040 : "ID_MTA_AT_SET_M2M_FREQLOCK_CNF",
0x1041 : "ID_MTA_AT_QRY_M2M_FREQLOCK_CNF",
0x1042 : "ID_MTA_AT_LENDC_QRY_CNF",
0x1043 : "ID_MTA_AT_LENDC_INFO_IND",
0x1044 : "ID_MTA_AT_NR_FREQLOCK_SET_CNF",
0x1045 : "ID_MTA_AT_NR_FREQLOCK_QRY_CNF",
0x1052 : "ID_MTA_AT_TRANSMODE_QRY_CNF",
0x1053 : "ID_MTA_AT_UE_CENTER_SET_CNF",
0x1054 : "ID_MTA_AT_UE_CENTER_QRY_CNF",
0x1055 : "ID_MTA_AT_SET_NETMON_SCELL_CNF",
0x1056 : "ID_MTA_AT_SET_NETMON_NCELL_CNF",
0x1057 : "ID_AT_MTA_QRY_AFC_CLK_FREQ_XOCOEF_REQ",
0x1058 : "ID_MTA_AT_QRY_AFC_CLK_FREQ_XOCOEF_CNF",
0x1059 : "ID_MTA_AT_ANQUERY_QRY_CNF",
0x105A : "ID_MTA_AT_CSNR_QRY_CNF",
0x105B : "ID_MTA_AT_CSQLVL_QRY_CNF",
0x105c : "ID_MTA_AT_EVDO_SYS_EVENT_CNF",
0x105d : "ID_MTA_AT_EVDO_SIG_MASK_CNF",
0x105e : "ID_MTA_AT_EVDO_REVA_RLINK_INFO_IND",
0x105f : "ID_MTA_AT_EVDO_SIG_EXEVENT_IND",
0x1060 : "ID_MTA_AT_XCPOSR_SET_CNF",
0x1061 : "ID_MTA_AT_XCPOSR_QRY_CNF",
0x1062 : "ID_MTA_AT_XCPOSRRPT_SET_CNF",
0x1063 : "ID_MTA_AT_XCPOSRRPT_QRY_CNF",
0x1064 : "ID_MTA_AT_CLEAR_HISTORY_FREQ_CNF",
0x1065 : "ID_MTA_AT_SET_SENSOR_CNF",
0x1066 : "ID_MTA_AT_SET_SCREEN_CNF",
0x1067 : "ID_MTA_AT_FRAT_IGNITION_QRY_CNF",
0x1068 : "ID_MTA_AT_FRAT_IGNITION_SET_CNF",
0x1069 : "ID_MTA_AT_SET_MODEM_TIME_CNF",
0x106A : "ID_MTA_AT_RX_TEST_MODE_SET_CNF",
0x106B : "ID_MTA_AT_AFC_CLK_UNLOCK_CAUSE_IND",
0x106C : "ID_MTA_AT_SIB16_TIME_UPDATE_IND",
0x106D : "ID_MTA_AT_SLAVE_SET_CNF",
0x106E : "ID_MTA_AT_BESTFREQ_SET_CNF",
0x106F : "ID_MTA_AT_BEST_FREQ_INFO_IND",
0x1070 : "ID_MTA_AT_BESTFREQ_QRY_CNF",
0x1071 : "ID_MTA_AT_RFIC_DIE_ID_QRY_CNF",
0x1072 : "ID_MTA_AT_CRRCONN_SET_CNF",
0x1073 : "ID_MTA_AT_CRRCONN_QRY_CNF",
0x1074 : "ID_MTA_AT_CRRCONN_STATUS_IND",
0x1075 : "ID_MTA_AT_VTRLQUALRPT_SET_CNF",
0x1076 : "ID_MTA_AT_RL_QUALITY_INFO_IND",
0x1077 : "ID_MTA_AT_VIDEO_DIAG_INFO_RPT",
0x1078 : "ID_MTA_AT_PMU_DIE_SN_QRY_CNF",
0x1079 : "ID_MTA_AT_MODEM_CAP_UPDATE_CNF",
0x107A : "ID_MTA_AT_LTE_CATEGORY_INFO_IND",
0x1080 : "ID_MTA_AT_TAS_TEST_CFG_CNF",
0x1081 : "ID_MTA_AT_TAS_TEST_QRY_CNF",
0x1082 : "ID_MTA_AT_ACCESS_STRATUM_REL_IND",
0x1083 : "ID_MTA_AT_MIPI_WREX_CNF",
0x1084 : "ID_MTA_AT_MIPI_RDEX_CNF",
0x1085 : "ID_MTA_AT_RS_INFO_QRY_CNF",
0x1086 : "ID_MTA_AT_PHY_COM_CFG_SET_CNF",
0x1087 : "ID_MTA_AT_ERRCCAP_CFG_SET_CNF",
0x1088 : "ID_MTA_AT_ERRCCAP_QRY_SET_CNF",
0x1089 : "ID_MTA_AT_QRY_GSM_FREQLOCK_CNF",
0x108A : "ID_MTA_AT_DEL_CELLENTITY_CNF",
0x108B : "ID_MTA_AT_POWER_DET_QRY_CNF",
0x108C : "ID_MTA_AT_PSEUCELL_INFO_SET_CNF",
0x108D : "ID_MTA_AT_MIPIREAD_SET_CNF",
0x108E : "ID_MTA_AT_NO_CARD_MODE_SET_CNF",
0x108F : "ID_MTA_AT_NO_CARD_MODE_QRY_CNF",
0x1090 : "ID_MTA_AT_CHRALARMRLAT_CFG_SET_CNF",
0x1091 : "ID_MTA_AT_ECC_CFG_SET_CNF",
0x1092 : "ID_MTA_AT_ECC_STATUS_IND",
0x1093 : "ID_MTA_AT_EPDU_SET_CNF",
0x1094 : "ID_MTA_AT_EPDUR_DATA_IND",
0x1095 : "ID_MTA_AT_LTE_CA_CFG_SET_CNF",
0x1096 : "ID_MTA_AT_LTE_CA_CELLEX_QRY_CNF",
0x1097 : "ID_MTA_AT_LTE_CA_CELLEX_INFO_NTF",
0x1098 : "ID_MTA_AT_LTE_CA_CELL_RPT_CFG_SET_CNF",
0x1099 : "ID_MTA_AT_LTE_CA_CELL_RPT_CFG_QRY_CNF",
0x109A : "ID_MTA_AT_FINE_TIME_SET_CNF",
0x109B : "ID_MTA_AT_SIB_FINE_TIME_NTF",
0x109C : "ID_MTA_AT_LPP_FINE_TIME_NTF",
0x109D : "ID_MTA_AT_PHY_COMM_ACK_IND",
0x109E : "ID_MTA_AT_GAS_AUTOTEST_QRY_CNF",
0x109F : "ID_MTA_AT_COMM_BOOSTER_SET_CNF",
0x10A0 : "ID_MTA_AT_COMM_BOOSTER_IND",
0x10A1 : "ID_MTA_AT_COMM_BOOSTER_QUERY_CNF",
0x10A2 : "ID_MTA_AT_NVLOAD_SET_CNF",
0x10A3 : "ID_MTA_AT_SMS_DOMAIN_SET_CNF",
0x10A4 : "ID_MTA_AT_SMS_DOMAIN_QRY_CNF",
0x10A5 : "ID_MTA_AT_EPS_NETWORK_QRY_CNF",
0x10A6 : "ID_MTA_AT_EPS_NETWORK_INFO_IND",
0x10A7 : "ID_MTA_AT_SET_SAMPLE_CNF",
0x10A8 : "ID_MTA_AT_GPS_LOCSET_SET_CNF",
0x10A9 : "ID_MTA_AT_CCLK_QRY_CNF",
0x10AA : "ID_MTA_AT_TEMP_PROTECT_IND",
0x10AB : "ID_AT_MTA_GAME_MODE_SET_CNF",
0x10AC : "ID_MTA_AT_PSEUDBTS_SET_CNF",
0x10AD : "ID_MTA_AT_SUBCLFSPARAM_SET_CNF",
0x10AE : "ID_MTA_AT_SUBCLFSPARAM_QRY_CNF",
0x10AF : "ID_MTA_AT_NV_REFRESH_SET_CNF",
0x10B0 : "ID_AT_MTA_SLT_TEST_SET_CNF",
0x10B1 : "ID_MTA_AT_CDMA_MODEM_CAP_SET_CNF",
0x10B2 : "ID_MTA_AT_CDMA_CAP_RESUME_SET_CNF",
0x10B3 : "ID_MTA_AT_PHYMIPIWRITE_SET_CNF",
0x10B4 : "ID_MTA_AT_SFEATURE_QRY_CNF",
0x10B5 : "ID_MTA_AT_LOW_PWR_MODE_SET_CNF",
0x10B8 : "ID_MTA_AT_LL2_COM_CFG_SET_CNF",
0x10B9 : "ID_MTA_AT_LL2_COM_CFG_QRY_CNF",
0x10BA : "ID_MTA_AT_NL2_COM_CFG_SET_CNF",
0x10BB : "ID_MTA_AT_NL2_COM_CFG_QRY_CNF",
0x10BC : "ID_MTA_AT_NRRCCAP_CFG_SET_CNF",
0x10BD : "ID_MTA_AT_NRRCCAP_QRY_CNF",
0x10BE : "ID_MTA_AT_NRPWRCTRL_SET_CNF",
0x1100 : "ID_AT_MTA_QRY_JAM_DETECT_REQ",
0x1101 : "ID_MTA_AT_QRY_JAM_DETECT_CNF",
0x1102 : "ID_MTA_AT_PSEUD_BTS_IDENT_IND",
0x1103 : "ID_MTA_AT_FORCESYNC_SET_CNF",
0x1104 : "ID_AT_MTA_SET_LTEPWRDISS_CNF",
0x1105 : "ID_AT_MTA_DCXO_SAMPLE_QRY_REQ",
0x1106 : "ID_MTA_AT_DCXO_SAMPLE_QRY_CNF",
0x1107 : "ID_AT_MTA_MCS_SET_REQ",
0x1108 : "ID_MTA_AT_MCS_SET_CNF",
0x1109 : "ID_AT_MTA_TXPOWER_QRY_REQ",
0x110A : "ID_MTA_AT_TXPOWER_QRY_CNF",
0x110B : "ID_AT_MTA_NTXPOWER_QRY_REQ",
0x110C : "ID_MTA_AT_NTXPOWER_QRY_CNF",
0x110D : "ID_AT_MTA_HFREQINFO_QRY_REQ",
0x110E : "ID_MTA_AT_HFREQINFO_QRY_CNF",
0x110F : "ID_MTA_AT_HFREQINFO_IND",
0x1110 : "ID_MTA_AT_SET_TRX_TAS_CNF",
0x1111 : "ID_MTA_AT_QRY_TRX_TAS_CNF",
0x1112 : "ID_MTA_AT_5G_OPTION_SET_CNF",
0x1113 : "ID_MTA_AT_5G_OPTION_QRY_CNF",
}

def get_at_mta_msg_str( MsgId):
    for MsgIdIndex in at_mta_msg_enum_table.keys():
        if MsgIdIndex == MsgId:
            return at_mta_msg_enum_table[MsgIdIndex]

    return "none"